Subject: bug#30262: Running tramp-archive-tests leaves tar file visible in file manager

From: Glenn Morris <[email-masked]>
Date: Fri, 26 Jan 2018 14:52:10 -0500

Package: emacs
Severity: minor
Version: 27.0.50

On RHEL7.4, under xfce 4.12, if I run
  make -C test lisp/net/tramp-archive-tests
then all (non-expensive) tests run and pass ok.

However, the act of running the tests somehow "registers" (I have no
idea how any of this works or what the right terminology is) the file
tramp-archive-resources/foo.tar.gz such that it shows up under "Devices"
in the Thunar file manager application (version 1.6.6).

I have to manually right click on the file in Thunar and "disconnect" it
to get it to go away. It comes back every time the tests are run.